<?php

declare(strict_types=1);
/**
 * This file is part of hyperf-ext/sms.
 *
 * @link     https://github.com/hyperf-ext/sms
 * @contact  eric@zhu.email
 * @license  https://github.com/hyperf-ext/sms/blob/master/LICENSE
 */
namespace Zyimm\Sms\Contracts;

use Zyimm\Sms\Exceptions\DriverErrorException;

interface DriverInterface
{
    /**
     * Send the message.
     *
     * @throws DriverErrorException
     */
    public function send(SmsableInterface $smsable): array;
}
