<?php

declare(strict_types=1);

namespace Zyimm\Sms\Events;

use Zyimm\Sms\Contracts\SmsableInterface;

class SmsMessageSent
{
    /**
     * The message instance.
     *
     * @var SmsableInterface
     */
    public $smsable;

    /**
     * Create a new event instance.
     */
    public function __construct(SmsableInterface $smsable)
    {
        $this->smsable = $smsable;
    }
}
